<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlarmScreenNg: User Settings</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlarmScreenNg
   &#160;<span id="projectnumber">0.9.2</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="pages.html"><span>Related&#160;Pages</span></a></li>
    </ul>
  </div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="page_Config.html">Customization</a></li>  </ul>
</div>
</div><!-- top -->
<div class="PageDoc"><div class="header">
  <div class="headertitle">
<div class="title">User Settings </div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><p>Users have the possibility to modify the appearance of the AS EWO at runtime, to adjust the mode of the table, its columns, row order and other settings.</p>
<dl class="section note"><dt>Note</dt><dd>The project administrator can disable some or all of these options for users without some appropriate privilege using <a class="el" href="page_ConfigAdmin.html#sec_AccessControl">Access Control</a>.</dd></dl>
<p>Operations on user settings are available in the popup menu of the "Settings..." button in the toolbar of the <a class="el" href="pageUsingAS.html#ewoOverviewPicture">footer area</a> :</p>
<p><a class="anchor" id="anchor_UserSettingsMenu"></a></p><div class="image">
<img src="userSettingsMenu.png" alt=""/>
<div class="caption">
The User Settings menu</div></div>
 <h1><a class="anchor" id="sec_EditUserSettings"></a>
Editing User Settings</h1>
<p>User settings can be edited using a dedicated panel, opened when 'Edit User Settings' is selected in the <a class="el" href="page_UserSettings.html#anchor_UserSettingsMenu">User Settings menu</a>.</p>
<p><a class="anchor" id="anchor_UserSettingsColumns"></a></p><div class="image">
<img src="userSettingsColumns.png" alt=""/>
<div class="caption">
Editing user settings - table columns</div></div>
 <p>The list in the left part of panel is used to switch between different tabs. The options in every tab are described in the following sections.</p>
<p>When the <b>Apply</b> button is pressed, all settings from the panel are immediately applied to the AS EWO from which it was opened. Note that the settings from all the tabs are applied, not only the one that is currently visible.</p>
<h2><a class="anchor" id="subsec_UserSettingsColumns"></a>
Columns of the Alarm Table</h2>
<p>When the 'Table columns' tab is selected, the user can select which columns are displayed in the Alarm Table, in what order, and the width of every column.</p>
<dl class="section note"><dt>Note</dt><dd>The set of available columns is a part of the basic configuration (see <a class="el" href="page_RefJson.html#subsubsec_RefJsonBasicConfigColumns">columns</a>).</dd>
<dd>
The widths of the columns in the Alarm Table can also be adjusted by dragging the borders of the column headers in the <a class="el" href="pageUsingAS.html#secAlarmTable">The Alarm Table</a>.</dd></dl>
<p>The visibility of individual columns in the Alarm Table is controlled by content of the last column (titled <b>Show</b>) in this table. The following values are possible: </p><ul>
<li>
<b>never</b>: column is never shown in Alarm Table.  </li>
<li>
<b>always</b>: column is always shown in Alarm Table.  </li>
<li>
<b>online</b>: column is only shown if Alarm Table uses <b>Live</b> mode of <a class="el" href="pageUsingAS.html#secSourceTypes">alarm source</a>; column is hidden if other source mode is used.  </li>
<li>
<b>history</b>: column is only shown if Alarm Table uses <b>History</b> mode of <a class="el" href="pageUsingAS.html#secSourceTypes">alarm source</a>; column is hidden if other source mode is used.  </li>
<li>
<b>oldmeta</b>: column is only shown if Alarm Table uses <b>History</b> mode of <a class="el" href="pageUsingAS.html#secSourceTypes">alarm source</a> <b>and</b> display of old metadata was requested by the user.  </li>
</ul>
<h2><a class="anchor" id="subsec_UserSettingsSort"></a>
Sorting of rows in the Alarm Table</h2>
<p>The following settings are available in the 'Sort' tab:</p>
<div class="image">
<img src="userSettingsSort.png" alt=""/>
<div class="caption">
Editing user settings - sorting</div></div>
 <p>The user can select one or more columns used for sorting of rows in the Alarm Table and their ordering modes (ascending/descending). Sorting of rows is performed on the first selected column, then the second, and so on.</p>
<p>Sorting can be performed on both visible and hidden columns in the Alarm Table.</p>
<dl class="section note"><dt>Note</dt><dd>Do not forget that clicking on the column headers of the <a class="el" href="pageUsingAS.html#secAlarmTable">The Alarm Table</a> switches it to the <a class="el" href="pageUsingAS.html#secAlarmTableSort">sort by click</a> mode, discarding all sorting settings defined in this panel.</dd></dl>
<h2><a class="anchor" id="subsec_UserSettingsGropuing"></a>
Grouping of rows in the Alarm Table</h2>
<p>The following <a class="el" href="pageUsingAS.html#secAlarmTableGrouping">grouping</a> settings are available in the 'Grouping' tab:</p>
<div class="image">
<img src="userSettingsGrouping.png" alt=""/>
<div class="caption">
Editing user settings - grouping</div></div>
 <p>These settings allow to configure grouping of alarms so that the <a class="el" href="pageUsingAS.html#secAlarmTable">The Alarm Table</a> is no longer a flat table, but a tree. The number of levels in the tree is not limited.</p>
<p>The configuration table in this panel contains the following columns: </p><ul>
<li>
<b>Property</b>: name of an alarm property that shall be used for grouping. Note that all known alarm properties can be used for grouping, not only the properties in visible columns. The (internal) name of the alarm property appears in square brackets <b>[]</b>, while the name of the column in the <a class="el" href="pageUsingAS.html#secAlarmTable">The Alarm Table</a> (if this property can be shown in it) appears before the square brackets.<br  />
 The alarms will be grouped according to the values of the selected properties. The example from the picture above will result in a tree with two-levels: <ul>
<li>
System name on the 1st level </li>
<li>
Alarm priority on the 2nd level </li>
</ul>
Every grouping node in the tree displays the value of the selected alarm property, followed by the total number of alarms in this group, see <a class="el" href="pageUsingAS.html#secAlarmTableGrouping">the picture</a>.  </li>
<li>
<b>Role</b>: the part of alarm property data that will be used for sorting ('role' in the terminology used by the Qt framework). Two roles are available: <ul>
<li>
<b>display</b> is a string shown in a cell of the Alarm Table </li>
<li>
<b>edit</b> is a value of an alarm property in its 'native' data type </li>
</ul>
The difference between the two roles can be illustrated using the following example of the 'Priority' property: <ul>
<li>
'edit' role: the integer value 80 is before the integer value 100 </li>
<li>
'display' role: the string "80" is after the string "100" </li>
</ul>
</li>
<li>
<b>Sort</b>: defines the order of sorting (ascending or descending).  </li>
<li>
<b>Column</b> is here just for information: it displays the header of the column corresponding to the selected alarm property (if it is available in the current basic configuration).  </li>
</ul>
<p>The frame <b>Group column</b> beneath the table allows to configure the header and width for the grouping (leftmost) column.</p>
<h2><a class="anchor" id="subsec_UserSettingsAppearance"></a>
Configuring the AS appearance</h2>
<p>When the 'Appearance' tab is selected in the User Settings panel, the following editor appears:</p>
<div class="image">
<img src="userSettingsAppearance.png" alt=""/>
<div class="caption">
Editing user settings - appearance</div></div>
 <p>This panel allows to show/hide selected parts of the AS EWO, as well as to change the display mode of the Alarm Table between '1 row per alarm pair' and '2 rows per alarm pair'.</p>
<h1><a class="anchor" id="sec_UserSettingsSaveLoad"></a>
Saving and loading User Settings</h1>
<p>The current set of user settings in the AS EWO can be saved for future use. The panel for saving user settings is opened when the item 'Save User Settings' is selected in the <a class="el" href="page_UserSettings.html#anchor_UserSettingsMenu">User Settings menu</a>.</p>
<div class="image">
<img src="userSettingsSave.png" alt=""/>
<div class="caption">
Saving user settings</div></div>
 <p>The users settings are saved with unique names. The table in the panel shows the names of previously saved user settings, plus two more columns indicating which settings are used by <a class="el" href="page_UserSettings.html#sec_UserSettingsDefault">default</a>.</p>
<p>User settings belong to users who saved them. The checkbox <b>My Settings</b> above the table allows to display only the settings that belong to the current user.</p>
<p>The text field beneath the table is used to specify the name under which the settings will be saved. If such name is already used, an appropriate warning will be shown, and the user will be able to choose whether to overwrite the previously saved settings.</p>
<dl class="section note"><dt>Note</dt><dd>Users can only overwrite their own settings.</dd></dl>
<p>The combo box beneath the name of settings determines if the default filter of the AS EWO shall change the settings are. The values of this option for already saved user settings are shown in the <b>Filter</b> column of the table. See <a class="el" href="page_RefDp.html#sec_RefDpUserSettings">User settings DP</a> for more details on possible options.</p>
<p>The user can delete previously saved settings using the <b>Delete</b> button at the bottom of the panel.</p>
<p>Previously saved user settings can be loaded and applied to the AS. The panel for loading user settings is opened when the item 'Load User Settings' is selected in the <a class="el" href="page_UserSettings.html#anchor_UserSettingsMenu">User Settings menu</a> and it looks very similar to the one used to save user settings.</p>
<p>The header of the panel displays the name of the DP with the <a class="el" href="page_RefDp.html#sec_RefDpBasicConfig">basic configuration</a> used by this AS EWO.</p>
<h1><a class="anchor" id="sec_UserSettingsDefault"></a>
Configuring the default user settings</h1>
<p>The user settings can be edited for the current session and saved for future use, but the default user settings will be loaded when the AS is restarted. The default user settings are initially specified in the <a class="el" href="page_RefJson.html#sec_RefJsonBasicConfig">basic configuration</a>. On top of that, one of the saved user settings can be nominated as the default. The following process is used when the AS is started:</p>
<ul>
<li>
Default settings for the current user: when the AS starts, the previously saved user settings marked as default for <b>this</b> user are loaded and used, if available.  </li>
<li>
Default settings for all users: if no default settings for the current user are found, then the AS EWO searches for another saved settings marked as <b>default for all users</b>.  </li>
<li>
Finally, if even 'default for all' settings do not exist, then the settings from the basic configuration are used.  </li>
</ul>
<p>The panel for configuring the default settings is opened by clicking 'Set Default User Settings' from the <a class="el" href="page_UserSettings.html#anchor_UserSettingsMenu">User Settings menu</a>.</p>
<div class="image">
<img src="userSettingsDefault.png" alt=""/>
<div class="caption">
Default settings selection</div></div>
 <p>Only the settings that belong to the current user are displayed in the panel. The user can select one of the settings and change the usage of this setting to either 'default for this user', or 'default for all users'.</p>
<p>There is no possibility of using settings that belong to another user as the default for the current user. The argument is simple: what if that user deletes them? It is of course still possible to load any saved settings, then save them for the current user and mark them as default. </p>
</div></div><!-- contents -->
</div><!-- PageDoc -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
